@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;600&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cinzel+Decorative:wght@400;700&display=swap');

:root{
    --gradient:linear-gradient(90deg, #f1c40f, #f39c12);
}

*{
    font-family: 'Open Sans', sans-serif;
    margin:0; padding:0;
    box-sizing: border-box;
    border:none; outline: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: all .2s linear;
}

*::selection{
    background:#f39c12;
    color:#fff;
}

html{
    font-size: 62.5%;
    overflow-x: hidden;
    width: 100vw;
    height: 100vh;
}
body{
    width: 100vw;
}

html::-webkit-scrollbar{
    width:1.5rem;
}

html::-webkit-scrollbar-track{
    background:#333;
}

html::-webkit-scrollbar-thumb{
    background:linear-gradient(#f1c40f, #f39c12);
}

section{
    min-height: 100vh;
    padding:1rem 7%;
    min-width: 100vw;
}

.btn{
    padding:.7rem 3rem;
    font-size: 2rem;
    color:#fff;
    background:var(--gradient);
    border-radius: 5rem;
    margin-top: 1rem;
    cursor: pointer;
    box-shadow: 0 .1rem .3rem rgba(0,0,0,.3);
    position: relative;
    overflow: hidden;
    z-index: 0;
    font-family: 'Cinzel Decorative', cursive;
}

.btn::before{
    content: '';
    position: absolute;
    top:-1rem; left:-100%;
    background:#fff9;
    height:150%;
    width:20%;
    transform: rotate(25deg);
    z-index: -1;
}

.btn:hover::before{
    transition: .3s linear;
    left: 120%;
}
.heading{
    font-family: 'Cinzel Decorative', cursive;
    font-size: 4rem;
    color: #666;
    padding: 1rem;
    text-align: center;
}
.heading span{
    font-family: 'Cinzel Decorative', cursive;
    color: #f39c12;
    font-size: 3.5rem;
}
/*header style starts*/
header{
    width: 100vw;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top:0; left: 0;
    z-index: 1000;
    padding:1.5rem 3rem;
    padding-left: 5rem;
    background:var(--gradient);
    box-shadow: 0 .1rem .3rem rgba(0,0,0,.3);
}
header .logo{
    color:#fff;
    font-size: 2.5rem;
}
header .navbar ul{
    display: flex;
    align-items: center;
    justify-content: center;
    list-style: none;
}
header .navbar ul li{
    margin:0 1rem;
}
header .navbar ul li a{
    font-family: 'Cinzel Decorative', cursive;
    font-size: 2rem;
    color:#fff;
    padding: 2rem 2.5rem;
}
header .navbar ul li a.active,
header .navbar ul li a:hover{
    color:#fff;
    background: linear-gradient(rgba(255,255,255,0.3),rgba(0,0,0,0.3));
    transition:all 0.2s linear;
}
header #login{
    font-size: 3rem;
    color:#fff;
    cursor: pointer;
    margin-right: 3rem;
}
header #login:hover{
    color:#444;
}
header #menu{
    font-size: 3rem;
    color:#fff;
    cursor: pointer;
    display: none;
}
/*header style ends*/
/*login form style starts*/
.login-form{
    height:100vh;
    width:100vw;
    position: fixed;
    top:-120%; left: 0;
    z-index: 1000;
    background:rgba(0,0,0,.5);
    display: flex;
    align-items: center;
    justify-content: center;
}
.login-form.popup{
    top:0;
}
.login-form form{
    width:35rem;
    background:#fff;
    margin:0 2rem;
    padding:1rem 3rem;
    border-radius: .5rem;
    box-shadow: 0 .1rem .3rem #333;
    position: relative;
}
.login-form form h3{
    font-size: 3rem;
    color:#f39c12;
    padding:1rem 0;
}
.login-form form .box{
    width:100%;
    padding:1rem 0;
    margin:1rem 0;
    border-bottom: .2rem solid #666;
    font-size: 1.6rem;
    color:#333;
    text-transform: none;
}
.login-form form .box::placeholder{
    text-transform: capitalize;
}
.login-form form .box:focus{
    border-color: #f39c12;
}
.login-form form .box:nth-child(3){
    margin-bottom: 5rem;
}
.login-form form p{
    font-size: 1.4rem;
    color:#666;
    padding:.5rem 0;
}
.login-form form p a{
    color:#f39c12;
}
.login-form form .btn{
    width: 100%;
    margin:2rem 0;
}
.login-form form .btn:hover{
    background:#444;
}
.login-form form .fa-times{
    position: absolute;
    top:1.5rem; right:2rem;
    font-size: 2.5rem;
    cursor: pointer;
    color:#999;
}
.login-form form .fa-times:hover{
    color:#444;
}
/*login form style ends*/
/*home style starts*/
.home{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    background:url('images/home-bg.jpg') no-repeat;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
    position: relative;
    text-align: center;
}
.home h1{
    font-size: 6rem;
    color:#666;
}
.home p{
    font-size: 1.9rem;
    color:#999;
    padding:1rem 0;
    width:70rem;
}
.home .shape{
    position: absolute;
    bottom:-.2rem; left: 0;
    height:15rem;
    width:100%;
    background:url('images/shape.png');
    block-size: 100rem 15rem;
    filter: drop-shadow(0 -.1rem .1rem rgba(0,0,0,.2));
    animation: animate 10s linear infinite;
}
@keyframes animate{
    0%{
        background-position-x: 0rem;
    }
    100%{
        background-position-x: 100rem;
    }
}
/*home style ends*/
/*about style starts*/
.container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}
.container .image{
    flex: 1 1 40rem;
}
.container .image img{
    height: 65vh;
    width: 100%;
}
.container .content{
    flex: 1 1 40rem;
}
.container .content h3{
    font-family: 'Cinzel Decorative', cursive;
    font-size: 3.5rem;
    color: #f39c12;
    margin: 0.5rem 0;
}
.container .content p{
    font-family: 'Times New Roman', Times, serif;
    font-size:1.7rem ;
    color: #666;
    line-height: 2rem;
    padding: 1rem 1.2rem;
}
/*about style ends*/
/*course style starts*/
.course .box-container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}
.course .box-container .box{
    width: 35rem;
    height: 55rem;
    border: 0.1rem solid rgba(0,0,0,.3);
    position: relative;
    margin: 1.5rem;
    padding: 0.5rem;
    box-shadow: 0 0.5rem 1rem rgba(0,0,0,0.5);
}
.course .box-container .box:hover{
    box-shadow: 0 0.5rem 1rem rgb(223, 130, 24);
}
.course .box-container .box img{
    height: 20rem;
    width: 100%;
    object-fit: cover;
}
.course .box-container .box .image .gd-bg-color{
    background-color: #fff;
}
.course .box-container .box .price{
    position: absolute;
    top:16rem;
    right:1rem;
    height:8rem;
    width:8rem;
    line-height: 8rem;
    text-align: center;
    border-radius: 50%;
    background:var(--gradient);
    color:#fff;
    font-size: 3rem;
}
.course .box-container .box .price:hover{
    transform: scale(1.2);
}
.course .box-container .box .content{
    padding: 1rem;
}
.course .box-container .box .content .stars i{
    color: #f39c12;
    font-size: 1.7rem;
    padding: 1rem 0.1rem;
}
.course .box-container .box .content .title{
    color: #444;
    font-size: 2.1rem;
    font-family: 'Cinzel Decorative', cursive;
}
.course .box-container .box .content .title:hover{
    border-bottom: 0.1rem solid #f39c12;
}
.course .box-container .box .content p{
    padding: 1rem 0;
    color: #666;
    font-size: 1.5rem;
}
.course .box-container .box .content .info{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-bottom: 0.5rem;
    border-top: 0.1rem solid rgba(0,0,0,.3);
}
.course .box-container .box .content .info h3{
    font-size: 1.5rem;
    padding: 1rem;
    color: #666;
}
.course .box-container .box .content .info h3 i{
    color: #f39c12;
    margin: 0.3rem;
}
button{
    margin: auto 5rem;
}
/*course style ends*/
/*teacher style starts*/
.teacher{
    text-align: center;
    background: url("images/teachers.jfif");
    background-size: cover;
    background-position: bottom;
}
.teacher h1{
    margin-top: 2rem;
}
.teacher .container{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-flow: column;
    margin: 1rem;
}
.teacher .container p{
    font-size: 1.9rem;
    color:#999;
    padding:1rem 0;
    width:40vw;
    text-align: center;
}
/*teacher style ends*/
/*contact style starts*/
.contact{
    background:#111;
}
.contact .heading{
    color:#fff;
}
.contact .row{
    display: flex;
    align-items: flex-start;
    justify-content: center;
    flex-wrap: wrap;
}
.contact .row form{
    flex:1 1 50rem;
    background:#222;
    padding:2rem;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    margin-top: 3rem;
    align-items: flex-start;
}
.contact .row form .box{
    height:5rem;
    width:49%;
    border:.1rem solid #eee;
    padding:0 1.5rem;
    margin:1rem 0;
    font-size: 1.7rem;
    color:#fff;
    background:none;
    text-transform: none;
}
.contact .row form .box:focus{
    border-color: #f39c12;
}
.contact .row form .box::placeholder{
    text-transform: capitalize;
}
.contact .row form .address{
    height:15rem;
    padding:1rem;
    resize: none;
    width:100%;
}
.contact .row form .btn:hover{
    background:#fff;
    color:#333;
}
.contact .row .image img{
    height: 80vh;
    margin-top: 2rem;
    margin-left: 2rem;
    padding-bottom: 0;
}
/*contact style ends*/
/*footer style starts*/
.footer{
    background: #333;
}
.footer .box-container{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
}
.footer .box-container .box{
    display: flex;
    align-items: center;
    flex-flow: column;
    margin: 1.5rem;
    flex: 1 1 25rem;
}
.footer .box-container .box h3{
    font-size: 2.5rem;
    color:#fff;
    padding: 1rem 0;
}
.footer .box-container .box a{
    font-size: 1.8rem;
    display: block;
    padding: 0.5rem 0;
    color: #eee;
    width: 8rem;
    text-align: center;
}
.footer .box-container .box a:hover{
    border-bottom:0.1rem solid #f39c12;
}
.footer .box-container .box p{
    font-size: 1.7rem;
    color:#eee;
    padding: 0.7rem 0;
}
.footer .box-container .box p i{
    padding-right: 0.5rem;
    color: #f39c12;
}
.footer .credit{
    font-family: 'Cinzel Decorative', cursive;
    padding: 2rem 1rem;
    font-size: 2rem;
    background: #111;
    color:#fff;
    text-align: center;
    font-weight: normal;
}
.footer .credit a{
    color: #f39c12;
}
/*footer style ends*/

/*media query*/
@media (max-width:768px){

    html{
        font-size: 55%;
    }

    header #menu{
        display: block;
    }

    header .navbar{
        position: fixed;
        top:-120%; left:0;
        width:100vw;
        background:#444;
    }

    header .navbar ul{
        flex-flow: column;
        padding:2rem 0;
    }

    header .navbar ul li{
        margin:1.5rem 0;
        text-align: center;
        width:100%;
    }

    header .navbar ul li a{
        font-size: 2.5rem;
        display: block;
    }

    header .navbar ul li a.active,
    header .navbar ul li a:hover{
        color:#f39c12;
    }

    .fa-times{
        transform: rotate(180deg);
    }

    header .navbar.nav-toggle{
        top:6.4rem;
    }

    .home h1{
        font-size: 4rem;
    }

    .home p{
        width: auto;
    }

    .teacher p{
        width:auto;
    }

}

@media (max-width:500px){

    html{
        font-size: 50%;
        width: 100vh;
    }
    body{
        width: 100vw;
    }
    .contact .row form .box{
        width:100%;
    }

}